Debian Bug report logs - #573119
libmenu-cache1: dpkg --unpack failed: package tries to overwrite files of libmenu-cache0

version graph

Packages: libmenu-cache1, libmenu-cache0; Maintainer for libmenu-cache1 is Debian LXDE Maintainers <lxde-debian@lists.lxde.org>; Source for libmenu-cache1 is src:menu-cache. Maintainer for libmenu-cache0 is (unknown);

Reported by: Sergey Korobitsin <undertaker@arta.kz>

Date: Tue, 9 Mar 2010 06:33:01 UTC

Severity: serious

Fixed in version menu-cache/0.3.2-2

Done: Andrew Lee (李健秋) <ajqlee@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee (李健秋) <ajqlee@debian.org>:
Bug#573119; Package libmenu-cache1. (Tue, 09 Mar 2010 06:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Korobitsin <undertaker@arta.kz>:
New Bug report received and forwarded. Copy sent to Andrew Lee (李健秋) <ajqlee@debian.org>. (Tue, 09 Mar 2010 06:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sergey Korobitsin <undertaker@arta.kz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmenu-cache1: dpkg --unpack failed: package tries to overwrite files of libmenu-cache0
Date: Tue, 09 Mar 2010 12:00:16 +0600
Package: libmenu-cache1
Severity: grave
Justification: renders package unusable

I've tried to install libmenu-cache1, and the install fails:

Unpacking libmenu-cache1 (from .../libmenu-cache1_0.3.2-1_i386.deb) ...
dpkg: error processing
/var/cache/apt/archives/libmenu-cache1_0.3.2-1_i386.deb (--unpack):
 trying to overwrite '/usr/lib/libmenu-cache/libexec/menu-cache-gen',
 which is also in package libmenu-cache0 0:0.2.6-1
 Errors were encountered while processing:
  /var/cache/apt/archives/libmenu-cache1_0.3.2-1_i386.deb
  E: Sub-process /usr/bin/dpkg returned an error code (1)


-- System Information:
Debian Release: squeeze/sid
  APT prefers sid
  APT policy: (500, 'sid'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libmenu-cache1 depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libglib2.0-0                  2.22.4-1   The GLib library of C routines

libmenu-cache1 recommends no packages.

libmenu-cache1 suggests no packages.




Severity set to 'serious' from 'grave' Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Thu, 11 Mar 2010 20:33:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libmenu-cache1' to 'libmenu-cache0,libmenu-cache1'. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Thu, 11 Mar 2010 20:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee (李健秋) <ajqlee@debian.org>:
Bug#573119; Package libmenu-cache0,libmenu-cache1. (Thu, 11 Mar 2010 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
Extra info received and forwarded to list. Copy sent to Andrew Lee (李健秋) <ajqlee@debian.org>. (Thu, 11 Mar 2010 20:39:06 GMT) Full text and rfc822 format available.

Message #14 received at 573119@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: 573119@bugs.debian.org
Subject: Re: libmenu-cache1: dpkg --unpack failed: package tries to overwrite files of libmenu-cache0
Date: Thu, 11 Mar 2010 21:35:48 +0100
Hello,

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/lib/libmenu-cache/libexec/menu-cache-gen
  /usr/lib/libmenu-cache/libexec/menu-cached

-Ralf.




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee (李健秋) <ajqlee@debian.org>:
Bug#573119; Package libmenu-cache0,libmenu-cache1. (Sat, 13 Mar 2010 00:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrew Lee (李健秋)" <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew Lee (李健秋) <ajqlee@debian.org>. (Sat, 13 Mar 2010 00:00:03 GMT) Full text and rfc822 format available.

Message #19 received at 573119@bugs.debian.org (full text, mbox):

From: "Andrew Lee (李健秋)" <ajqlee@debian.org>
To: Ralf Treinen <treinen@free.fr>, "573119@bugs.debian.org" <573119@bugs.debian.org>
Cc: "573119@bugs.debian.org" <573119@bugs.debian.org>
Subject: Re: Bug#573119: libmenu-cache1: dpkg --unpack failed: package tries to overwrite files of libmenu-cache0
Date: Sat, 13 Mar 2010 06:56:49 +0700
在 2010/3/12 3:35 時,Ralf Treinen <treinen@free.fr> 寫到:

> Hello,
>
> Here is a list of files that are known to be shared by both packages
> (according to the Contents file for sid/amd64, which may be
> slightly out of sync):
>
>  /usr/lib/libmenu-cache/libexec/menu-cache-gen
>  /usr/lib/libmenu-cache/libexec/menu-cached

I'd put soname number into the libexec dir to avoid this problem. And  
upload it shortly.
>


Thanks,

-Andrew



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 15 Mar 2010 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Andrew Lee (李健秋) <ajqlee@debian.org>:
You have taken responsibility. (Mon, 15 Mar 2010 23:36:11 GMT) Full text and rfc822 format available.

Notification sent to Sergey Korobitsin <undertaker@arta.kz>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 23:36:11 GMT) Full text and rfc822 format available.

Message #26 received at 573119-close@bugs.debian.org (full text, mbox):

From: Andrew Lee (李健秋) <ajqlee@debian.org>
To: 573119-close@bugs.debian.org
Subject: Bug#573119: fixed in menu-cache 0.3.2-2
Date: Mon, 15 Mar 2010 23:33:05 +0000
Source: menu-cache
Source-Version: 0.3.2-2

We believe that the bug you reported is fixed in the latest version of
menu-cache, which is due to be installed in the Debian FTP archive:

libmenu-cache1-dev_0.3.2-2_i386.deb
  to main/m/menu-cache/libmenu-cache1-dev_0.3.2-2_i386.deb
libmenu-cache1_0.3.2-2_i386.deb
  to main/m/menu-cache/libmenu-cache1_0.3.2-2_i386.deb
menu-cache_0.3.2-2.debian.tar.gz
  to main/m/menu-cache/menu-cache_0.3.2-2.debian.tar.gz
menu-cache_0.3.2-2.dsc
  to main/m/menu-cache/menu-cache_0.3.2-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573119@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Lee (李健秋) <ajqlee@debian.org> (supplier of updated menu-cache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Mar 2010 17:58:12 +0700
Source: menu-cache
Binary: libmenu-cache1-dev libmenu-cache1
Architecture: source i386
Version: 0.3.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>
Changed-By: Andrew Lee (李健秋) <ajqlee@debian.org>
Description: 
 libmenu-cache1 - an implementation of the freedesktop menu specification for LXDE
 libmenu-cache1-dev - an implementation of the freedesktop menu specification for LXDE
Closes: 573119
Changes: 
 menu-cache (0.3.2-2) unstable; urgency=low
 .
   * Added soname in libexec dir path. (Closes:#573119)
   * Added soname for -dev binary package name
   * Enable team maintenance:
     - mailing list on alioth: Debian LXDE Packaging Team
         <pkg-lxde-maintainers@lists.alioth.debian.org>
     - git repo on collab-maint:
         http://git.debian.org/?p=collab-maint/lxsession.git;a=summary
Checksums-Sha1: 
 e5e7283e17022299a5ccefabf49e2c0b1a22f423 1315 menu-cache_0.3.2-2.dsc
 2040a86946a2765c09e6031b9003d5aa840da537 4853 menu-cache_0.3.2-2.debian.tar.gz
 7e1ea3f0d545e35158e0ca7af62562053ea7406b 12112 libmenu-cache1-dev_0.3.2-2_i386.deb
 430405aad886a9c6c5d77bb39c0e865b280f3aa8 52920 libmenu-cache1_0.3.2-2_i386.deb
Checksums-Sha256: 
 6b9b3d00c3b8c36e5e6a7a5a72f6296b599fe545c2b19c038de2f0e7670bb6f5 1315 menu-cache_0.3.2-2.dsc
 486f8bc3d872ecf2e9d50dd88174e51e2774fdebc60c3ae4ae062318c420d999 4853 menu-cache_0.3.2-2.debian.tar.gz
 6fd0b4d0a68ee243f04d687ab62b43de45222d593c8595ca57fae839c905368c 12112 libmenu-cache1-dev_0.3.2-2_i386.deb
 79a1975dde3b3a254f93c149cfd2044a2681b4b3d79f47f3d70c8e12b51a9159 52920 libmenu-cache1_0.3.2-2_i386.deb
Files: 
 087ee26a566c11854c94db124693528e 1315 libs extra menu-cache_0.3.2-2.dsc
 c2d32925ff98f242a2d2df5f834ef2c0 4853 libs extra menu-cache_0.3.2-2.debian.tar.gz
 9c6730316e3a2e0c82893355674a1b8b 12112 libdevel extra libmenu-cache1-dev_0.3.2-2_i386.deb
 5090b16f3813ef5f08a6ba1686562257 52920 libs extra libmenu-cache1_0.3.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkud2rEACgkQnQYz4bYlCYXaFACgisDfMvNSVfQX1rsj6vmAS5nM
wGsAoNm1PoqwEtaiO8vNh1+VNwJz0vdj
=VdwU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Apr 2010 07:31:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:02:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.